<?xml version="1.0" encoding="UTF-8"?>

<document>
  <properties>
    <title>junit-report Properties</title>
    <author email="dion@apache.org">dIon Gillard</author>
  </properties>
  <body>
    <section name="junit-report Settings">
      <table>
        <tr>
          <th>Property</th>
          <th>Optional?</th>
          <th>Description</th>
        </tr>
        <tr>
          <td>maven.conf.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/conf</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.junit.usefile</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>true</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.gen.docs</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/generated-xdocs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.build.dest</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/classes</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.docs.src</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/xdocs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.test.dest</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/test-classes</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.build.src</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/src</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.test.reportsDirectory</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/test-reports</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.build.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/target</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.docs.dest</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${maven.build.dir}/docs</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.docs.outputencoding</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>ISO-8859-1</code>.</p>
          </td>
        </tr>
        <tr>
          <td>maven.src.dir</td>
          <td>Yes</td>
          <td>
            <p>Default value is
              <code>${basedir}/src</code>.</p>
          </td>
        </tr>
      </table>
    </section>
  </body>
</document>